Subject: Re: your mail

From: Zheng Gengbing <[email-masked]>
Date: Wed, 3 Jul 1996 09:42:24 +0800 (EAT)

On Tue, 2 Jul 1996, Guansong Zhang wrote:

> 
> Please do a careful survey on numbers. Otherwise nobody know how much things
> are tested in testsuite/semantics.
>  
> >
> >
> > > Semantics checking before actual compiling has its advantage, which make
> the
> > > AST more accurate. But I think it also must has its disadvantage, say some
> of
> > > the checking may too difficult or impossible to carry on.
> > >
> > > I only have a vague idea of this, because I never have experience on it.
> > >
> >
> >
> > 	I agree that have one is better than nothing .The testing certainly
> > will help to improve the work of hpfsc.
> >
> >
> > > My point is that there is no necessary to prove that we have a complete
> > > semantics checking, but we can say we have a complete enought one. Just
> like
> > > syntax checking. We just try to touch each syntax rules at least once, but
> > > there endless combinations we can not afford to test.
> > >
> > > Could you write a little more on semantics checking? What I want is a more
> > > complete technical report like the one about syntax checking I send to you.
> I
> > > think based on so many work you have done. You should be able to write a
> prety
> > > good one. In fact I don't want loose this chance to others.
> > >
> >
> >
> > 	I am willing to try , but now we are having final exams these days.
> > I think I will have free time next week .
> >
> >
> > > If you are also too busy or have no interests on this, we have to let it
> go.
> > > But I hope you can spend one or two days to try it.
> > >
> > > Give me a response about this. Any thing you are not sure just ask. I will
> do
> > > my best to help you.
> > >
> >
> > 	The difficulty is that I am not familiar with how to write by latex .
> >
> >
> >
> > Gengbin
> >-- End of excerpt from Zheng Gengbing
> 
> 
> Don't think about latex. We can start from plain text first.
> 
> The problem is schedule. I will have a trip next weekend and be back by Aug.
> 5th. I hope you have time to do it in this week end. Is it too hard?
> 
>

	Sorry , I really have no time this week , since I am also preparing
the next week's demo . And next Monday , I have a final exam .
If you need only a few words , maybe I will try .

Gengbin

---

From: Zheng Gengbing <[email-masked]>
Date: Wed, 3 Jul 1996 09:42:24 +0800 (EAT)

Gengbin